GET
/
api
/
v1
/
wallets
/
curl --request GET \
  --url https://hpay-api.host-sl.com/api/v1/wallets/?is_active=true \
  --header 'api-key: YOUR_API_KEY' \
  --header 'secret-key: YOUR_SECRET_KEY'
[
  {
    "id": "wall_123",
    "user_id": "user_123",
    "balance": 150.50,
    "currency": "SLE",
    "is_active": true
  },
  {
    "id": "wall_456",
    "user_id": "user_456",
    "balance": 0.0,
    "currency": "SLE",
    "is_active": true
  }
]

Endpoint

GET /api/v1/wallets/

Headers

api-key
string
required
Your application API key
secret-key
string
required
Your application secret key

Query Parameters

is_active
boolean
Filter wallets by active status.
skip
integer
default:"0"
Number of wallets to skip for pagination.
limit
integer
default:"100"
Maximum number of wallets to return.

Response

An array of wallet objects.
items
array
curl --request GET \
  --url https://hpay-api.host-sl.com/api/v1/wallets/?is_active=true \
  --header 'api-key: YOUR_API_KEY' \
  --header 'secret-key: YOUR_SECRET_KEY'
[
  {
    "id": "wall_123",
    "user_id": "user_123",
    "balance": 150.50,
    "currency": "SLE",
    "is_active": true
  },
  {
    "id": "wall_456",
    "user_id": "user_456",
    "balance": 0.0,
    "currency": "SLE",
    "is_active": true
  }
]